Subject: bug#15260: cannot build in a directory with non-ascii characters

From: Glenn Morris <[email-masked]>
Date: Fri, 25 Oct 2013 14:40:46 -0400

Eli Zaretskii wrote:

> I presume that the changes I suggested didn't help?  (They are TRT
> anyway, so I will install them regardless.)

It helps for "ascii srcdir, non-ascii builddir", but there are still
problems later on, again related to Emacs mistakenly believing that
certain directories do not exist, when they do (Warning: arch-dependent
data dir `...' No such file or directory; etc).

The "non-ascii srcdir == builddir" case fails even earlier, due to not
finding etc.

> So in the above, /tmp/EMACS/share/emacs/24.3.50/etc/ is pure-ASCII,
> and the non-ASCII directory is in the source tree, is that right?

Yes. I literally did (in a non-ascii) directory:

./configure --prefix=/tmp/EMACS